SND_CARD_FREE(9)

NAME
snd_card_free - frees given soundcard structure

SYNOPSIS

int snd_card_free (struct snd_card * card);

ARGUMENTS

card
    soundcard structure

DESCRIPTION

This function releases the soundcard structure and the all assigned devices automatically. That is, you don't have to release the devices by yourself.

Returns zero. Frees all associated devices and frees the control interface associated to given soundcard.